Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class Base64

    java.lang.Object
      com.sun.syndication.io.impl.Base64

    public class Base64

extends Object

Encodes/decodes byte arrays and Strings into/from a base 64 String.

Author:
  Alejandro Abdelnur

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(byte[] eData)` Dencodes a com.sun.syndication.io.impl.Base64 byte array.
`static String` | `decode(String s)` Decodes a base 64 String into a String.
`static byte[]` | `encode(byte[] dData)` Encodes a byte array into a base 64 byte array.
`static String` | `encode(String s)` Encodes a String into a base 64 String.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### encode

    public static String encode(String s)

  Encodes a String into a base 64 String. The resulting encoding is chunked at 76 bytes.

  Parameters:
    `s` - String to encode.
  Returns:
    encoded string.

### decode

    public static String decode(String s)
                         throws IllegalArgumentException

  Decodes a base 64 String into a String.

  Parameters:
    `s` - String to decode.
  Returns:
    encoded string.
  Throws:
    `IllegalArgumentException` - thrown if the given byte array was not valid com.sun.syndication.io.impl.Base64 encoding.

### encode

    public static byte[] encode(byte[] dData)

  Encodes a byte array into a base 64 byte array.

  Parameters:
    `dData` - byte array to encode.
  Returns:
    encoded byte array.

### decode

    public static byte[] decode(byte[] eData)

  Dencodes a com.sun.syndication.io.impl.Base64 byte array.

  Parameters:
    `eData` - byte array to decode.
  Returns:
    decoded byte array.
  Throws:
    `IllegalArgumentException` - thrown if the given byte array was not valid com.sun.syndication.io.impl.Base64 encoding.

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.